Check Photo Generation Status
curl --request GET \
--url https://api.jogg.ai/v2/photo_avatar/photo \
--header 'x-api-key: <api-key>'import requests
url = "https://api.jogg.ai/v2/photo_avatar/photo"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.jogg.ai/v2/photo_avatar/photo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"msg": "Success",
"data": {
"photo_id": "photo_123",
"status": "success",
"image_url_list": [
"https://example.com/image1.jpg",
"https://example.com/image2.jpg"
],
"image_key_list": [
"key1",
"key2"
],
"msg": null
}
}Avatar
Get Photo Avatar Status
Check the status of photo avatar generation task by photo ID
GET
/
v2
/
photo_avatar
/
photo
Check Photo Generation Status
Check the status of photo avatar generation task by photo ID.
Example Usage
curl --request GET \
--url 'https://api.jogg.ai/v2/photo_avatar/photo?photo_id=photo_123' \
--header 'x-api-key: YOUR_API_KEY'
Related Guides
Generate Photo Avatar
Generate photo avatar
Add Motion
Add motion to photo avatar
Authorizations
API key for authentication. Obtain your key from the JoggAI dashboard.
Query Parameters
Photo ID from the generation task
Example:
"photo_123"
Response
200 - application/json
Success
Business status code:
- 0 - Success
- 10104 - Record not found
- 10105 - Invalid API key
- 18020 - Insufficient credit
- 18025 - No permission to call APIs
- 40000 - Parameter error
- 50000 - System error
Example:
0
Response message
Example:
"Success"
Show child attributes
Show child attributes

